//
//  Counter.h
//  Interface for the word counter class
//
//  Created by Rene Hexel on 25/10/06.
//  Copyright 2006, 2008 Rene Hexel. All rights reserved.
//

#ifndef COUNTER_H
#define COUNTER_H

#include <string>

using namespace std;

class Counter
{
	string content;				// the content to do counting on
	int nLines, nWords, nChars;

public:
	Counter(std::string &text);		// count word in text string
	Counter(char *fileName);		// count word in given file
	void count();				// do the actual counting
	int lines();				// return the number of lines
	int words();				// return the number of words
	int characters();			// return the number of chars
};

#endif // COUNTER_H
